Bug 164378 - mouse cursor goes crazy on Dell D600 laptop
mouse cursor goes crazy on Dell D600 laptop
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
: Mouse_Bug (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-27 10:25 EDT by k.i.skau
Modified: 2008-07-27 08:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-10 15:40:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Collection of logs and system configuration from x86_64 Fedora 9 on Dell XPS M1530 (141.53 KB, application/zip)
2008-05-25 18:45 EDT, Hans
no flags Details

  None (edit)
Description k.i.skau 2005-07-27 10:25:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
Mouse cursor starts to move erratic around the screen and usually ends in one of the corners, being stuck there for a while. This behaviour seems to be triggered by using the keyboard, but sometimes the mouse cursor startes moving in a crazy manour without any keyboard input. This behaviour happens regularly and often and everytime I boot into the laptop. 

I use an USB mouse on my laptop, but when I boot the laptop and not use the USB mouse (only the touchpad) the same behaviour is found. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install FC4 on D600
2. usually problems start occure when typing some text (but not always)
3. Try to use mouse (USB and/or touchpad) but cursor moves in a random fashion
  

Actual Results:  Mouse cursor starts to moves randomly across the screen and often ends up in one of the corners, not being possible to move the cursor for a while. 

Additional info:

This did not happen when using kernel 2.4 (Fedora 2 I think) and the bug sounds a lot like one described on other pages like this one: 

http://www-personal.umich.edu/~monk/linux_laptop.html

The recommendation psmouse.proto=imps in grub did not work for me. 

Similar recommendation for erratic mouse behaviour found on many web-pages like this one here: https://www.redhat.com/archives/fedora-list/2004-November/msg03009.html

It seems to be a general issue and I would really appriciate a hack solution that works for my laptop. But it would of course be better if a proper solution is found for future Fedora releases since it makes an installed (laptop) computer complete unusuable. 

I mark as severity High since the desktop computer is useless when you cannot use the mouse.
Comment 1 Jim 2005-08-16 23:22:21 EDT
Having a similar issue on my Dell Inspiron.
Comment 2 Olivier Baudron 2005-08-17 11:09:30 EDT
*** Bug 165320 has been marked as a duplicate of this bug. ***
Comment 3 Patrice Dumas 2005-08-27 17:21:22 EDT
Same issue with a compaq armada m 300
Comment 4 Mike A. Harris 2005-08-30 07:19:46 EDT
The problem you describe here sounds like a configuration problem.  When
the wrong mouse protocol is chosen, the results are very much the way
you describe here.

Since X now uses the kernel /dev/input device for all mouse input, and
it exposes IMPS2 protocol IIRC, the "incorrect protocol" problem is
generally rare - as far as configuration of the X server goes.

Instead, when there are protocol related problems, it usually turns out
to be a bug in the kernel's driver for the particular mouse type.

Comment 5 Mike A. Harris 2005-08-30 13:12:14 EDT
Attach the xorg.conf file that is in use when you experience this problem.

Setting status to "NEEDINFO_REPORTER"
Comment 6 k.i.skau 2005-09-02 10:17:02 EDT
This is my xorg.conf file for the Dell D600. I did not do anything to it since I
installed Fedora Core 4, and I did a clean install. As far as I remember, I did
the installation with the USB mouse connected. The same mouse cursor problem was
with Fedora Core 3 on the same laptop. Hope this info helps.


# Xorg configuration created by system-config-display

Section "ServerLayout"
	Identifier     "single head configuration"
	Screen      0  "Screen0" 0 0
	InputDevice    "Mouse0" "CorePointer"
	InputDevice    "Keyboard0" "CoreKeyboard"
	InputDevice    "Synaptics" "AlwaysCore"
EndSection

Section "Files"

# RgbPath is the location of the RGB database.  Note, this is the name of the 
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.
# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.
	RgbPath      "/usr/X11R6/lib/X11/rgb"
	FontPath     "unix/:7100"
EndSection

Section "Module"
	Load  "dbe"
	Load  "extmod"
	Load  "fbdevhw"
	Load  "glx"
	Load  "record"
	Load  "freetype"
	Load  "type1"
	Load  "synaptics"
	Load  "dri"
EndSection

Section "InputDevice"

# Specify which keyboard LEDs can be user-controlled (eg, with xset(1))
#	Option	"Xleds"		"1 2 3"
# To disable the XKEYBOARD extension, uncomment XkbDisable.
#	Option	"XkbDisable"
# To customise the XKB settings to suit your keyboard, modify the
# lines below (which are the defaults).  For example, for a non-U.S.
# keyboard, you will probably want to use:
#	Option	"XkbModel"	"pc102"
# If you have a US Microsoft Natural keyboard, you can use:
#	Option	"XkbModel"	"microsoft"
#
# Then to change the language, change the Layout setting.
# For example, a german layout can be obtained with:
#	Option	"XkbLayout"	"de"
# or:
#	Option	"XkbLayout"	"de"
#	Option	"XkbVariant"	"nodeadkeys"
#
# If you'd like to switch the positions of your capslock and
# control keys, use:
#	Option	"XkbOptions"	"ctrl:swapcaps"
# Or if you just want both to be control, use:
#	Option	"XkbOptions"	"ctrl:nocaps"
#
	Identifier  "Keyboard0"
	Driver      "kbd"
	Option	    "XkbModel" "pc105"
	Option	    "XkbLayout" "us"
EndSection

Section "InputDevice"
	Identifier  "Mouse0"
	Driver      "mouse"
	Option	    "Protocol" "IMPS/2"
	Option	    "Device" "/dev/input/mice"
	Option	    "ZAxisMapping" "4 5"
	Option	    "Emulate3Buttons" "yes"
EndSection

Section "InputDevice"
	Identifier  "Synaptics"
	Driver      "synaptics"
	Option	    "Device" "/dev/input/mice"
	Option	    "Protocol" "auto-dev"
	Option	    "Emulate3Buttons" "yes"
	Option	    "LeftEdge" "120"
	Option	    "RightEdge" "830"
	Option	    "TopEdge" "120"
	Option	    "BottomEdge" "650"
	Option	    "FingerLow" "14"
	Option	    "FingerHigh" "15"
	Option	    "MaxTapMove" "110"
	Option	    "VertScrollDelta" "20"
	Option	    "HorizScrollDelta" "20"
	Option	    "MinSpeed" "0.3"
	Option	    "MaxSpeed" "0.75"
EndSection

Section "Monitor"
	Identifier   "Monitor0"
	VendorName   "Monitor Vendor"
	ModelName    "LCD Panel 1280x1024"
	HorizSync    31.5 - 67.0
	VertRefresh  50.0 - 75.0
	Option	    "dpms"
EndSection

Section "Device"
	Identifier  "Videocard0"
	Driver      "radeon"
	VendorName  "Videocard vendor"
	BoardName   "ATI Radeon Mobility M9"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
	Monitor    "Monitor0"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     16
		Modes    "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     24
		Modes    "1280x960" "1280x800" "1280x1024" "1152x864" "1152x768" "1024x768"
"800x600" "640x480"
	EndSubSection
EndSection

Section "DRI"
	Group        0
	Mode         0666
EndSection
Comment 7 Tomáš Windsor 2006-08-23 08:48:01 EDT
I had similar problem on other computer under different linux [and I also
witnessed this behaviour on few other computers running various OSes]. It's
called crazy mouse syndrome afaik. After 2 weeks of frustration I realized it
was caused by CPU overheating (when I used an external fan, problems
disappeared). I guess there may be more reasons for this, but I hope this helps.
Comment 8 Christian Iseli 2007-01-22 06:33:39 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 9 Matěj Cepl 2007-04-10 11:40:03 EDT
Specifically, reporter, could you please try to reproduce this bug with updated
supported distro?
Comment 10 Matthew Miller 2007-04-10 15:40:45 EDT
Fedora Core 4 is now completely unmaintained. These bugs can't be fixed in that
version. If the issue still persists in current Fedora Core, please reopen.
Thank you, and sorry about this.
Comment 11 Hans 2008-05-25 18:45:57 EDT
Created attachment 306634 [details]
Collection of logs and system configuration from x86_64 Fedora 9 on Dell XPS M1530

version
modules
devices
anaconda.xlog
anaconda.syslog
Xorg.0.log
Xorg.0.log.old
dmesg
messages
Comment 12 Hans 2008-05-25 18:49:58 EDT
I have a brand new Dell XPS M1530 laptop with x84_64 Fedora 9 installed and the
touchpad mouse suffers this 'crazy mouse syndrome'.
X can only be used via keyboard hotkeys. The issue starts when X loads the mouse
driver during the startup process.

I haven't tried to install the synaptic driver or to change anything in the
kernel, the system is the default installation.

I used graphical installation and the touchpad mouse was working fine except the
tap function. I had to use the touchpad button to select the installation options.
After loading the GUI however it just went berserk.

Please, let me know if you need any other logs from the host apart from the
attached ones above..
Comment 13 David Duncan 2008-07-27 08:01:38 EDT
Saw this post from May 25th.  This issue is known and reproducible with Fedora 8
and Fedora 9.  A workaround exists.  Pass the kernel parameter i8042.nomux=1 at
boot and the issue will not affect you XPS M1530 with the synaptics touchpad.
I saw this issue manifest when I moved from BIOS revision 0.6 to BIOS revision
0.8 on my own XPS M1530.

Note You need to log in before you can comment on or make changes to this bug.